# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import AdminUtilities
from java.lang import System

nodeName = System.getProperty("local.node")
appServers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "DEPLOYMENT_MANAGER", "-nodeName", nodeName]))
print "Found these servers on node %s: %s." % (nodeName, appServers)

print "Updating the deployment manager JVM."
for server in appServers:
  AdminTask.customizeBPMServerConfiguration(server)
#endfor
AdminConfig.save()

print "Done."
